Subject: RE: [External] : bug#54074: 29.0.50; Feature request emacs keymap-set and minor-modes

From: Drew Adams <[email-masked]>
Date: Sun, 20 Feb 2022 22:34:10 +0000

FWIW, in Icicles I save the bindings before
`icicle-mode' (minor mode) is turned on, and
restore them when it is later turned off.

(I do the same for some functions I redefine.
The same can be done with adding and removing
advice.)

However, bindings that something or someone
makes in the interim are of course not taken
into consideration.  That is, what's restored
is the state before `icicle-mode' was turned on.

I don't think there's a great general solution.
No way to know what something or someone really
might want, for example.